# Package play.utils

Interface Summary
Action<T>

Class Summary
ANSIConsoleAppender: Colour-coded console appender for Log4J.
Default
HTML
HTML.HtmlCharacterEntityReferences
HTTP
HTTP.ContentTypeWithEncoding
ImmediateFuture
Java: Java utils
Java.FieldWrapper: Field accessor set and get value for a property, using the getter/setter when it exists or direct access otherwise.
NoOpEntityResolver
OrderSafeProperties: Custom impl of java.util.properties that preserves the key-order from the file and that reads the properties-file in utf-8
OS: Os detections
Properties: like Properties, but with: encoding generic type helper
PThreadFactory
SmartFuture<V>
Utils: Generic utils
Utils.AlternativeDateFormat
Utils.Maps: for java.util.Map
YesSSLSocketFactory: SSL Sockets created by this factory won't check if certificates are signed with a root certificate (or chained from root)
YesSSLSocketFactory.YesTrustManager

Exception Summary
FastRuntimeException: Fast Exception - skips creating stackTrace.